from attrs import field, define
from attrs.validators import instance_of

from src.data_classes.parameters_general import GeneralParameters


@define
class ComparisonVarianceInAndBetweenGroupParameters(GeneralParameters):
    variable: str = field(validator=instance_of(str))
    group: str = field(validator=instance_of(str))
